Subject: RE: [tcpm] draft-ietf-rddp-mpa-03.txt review request

From: "Caitlin Bestler" <[email-masked]>
Date: Thu, 18 May 2006 15:38:55 -0700

Joe Touch wrote:
> Caitlin Bestler wrote:
> ...
>> MPA does not do anything over TCP that any low level daemon could not
>> do. And the optimization strategies it suggests are valid.
>> Retransmission alone can and will break MPA alignment, but if
>> retransmission represents the norm there are some severe problems
>> with the network.
> 
> ...
>> As I see it the relevant question here is if MPA is recommending a
>> pattern of TCP usage that would somehow be disruptive of TCP's on an
>> end-to-end global basis.
> 
> Not assuming retransmission would fall into that category, IMO.
> 
> Joe

MPA does allow for retransmission. It merely assumes that retransmission
is the exception and focuses it's attempt at achieving aligned reception
on the initial transmit.

If MPA had required that retransmissions maintain the same boundaries
as the initial transmissions it would have indeed been specifying a
modification to TCP.  But there is no such requirement.

_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm

---

From: Joe Touch <[email-masked]>
Date: Thu, 18 May 2006 16:01:03 -0700

> is the exception and focuses it's attempt at achieving aligned reception

In TCP retransmission is the rule, not the exception. Any design that 
optimizes for the non-retransmission case is wasting its time by using TCP.

> modification to TCP.  But there is no such requirement.

Understood, but once any retransmission occurs it's a waste of time to 
even talk about such alignment. All text that assumes alignment between 
an application send and a TCP segment is not only erroneous, it's a 
waste of time at that point.

Joe